Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Groovy] Class SpringConversionServiceAdapter

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.SpringConversionServiceAdapter

All Implemented Interfaces:
  org.springframework.core.convert.ConversionService

    class SpringConversionServiceAdapter
    extends java.lang.Object

This class implements org.grails.databinding.converters.ConversionService and delegates to a org.springfraemwork core.convert.support.DefaultConversionService.

See Also:
  ConversionService
  org.springframework.core.convert.support.DefaultConversionService

Method Summary
`boolean` | `canConvert(java.lang.Class source, java.lang.Class target)`
`java.lang.Object` | `convert(java.lang.Object object, java.lang.Class targetType)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### canConvert

    boolean canConvert(java.lang.Class source, java.lang.Class target)

### convert

    java.lang.Object convert(java.lang.Object object, java.lang.Class targetType)

Groovy Documentation